/*!
  \file
  \brief CD-ROM 再生

  \author Satofumi KAMIMURA

  $Id: CdPlayer.cpp 1816 2010-05-08 06:11:41Z satofumi $
*/


#include "CdPlayer.h"
#include "SdlCdromInit.h"
#include <SDL.h>

using namespace qrk;


struct CdPlayer::pImpl : private SdlCdromInit
{
    static pImpl* object(void)
    {
        static pImpl pimpl_object;
        return &pimpl_object;
    }


    // !!!
};


CdPlayer::CdPlayer(void) : pimpl(pImpl::object())
{
}


CdPlayer::~CdPlayer(void)
{
}
